--- old/usr/src/uts/common/os/sunmdi.c	2015-08-19 07:25:21.561030330 -0400
+++ new/usr/src/uts/common/os/sunmdi.c	2015-08-19 07:25:21.566746511 -0400
@@ -116,7 +116,7 @@
 taskq_t				*mdi_taskq;
 static uint_t			mdi_taskq_n_threads = MDI_TASKQ_N_THREADS;
 
-#define	TICKS_PER_SECOND	(drv_usectohz(1000000))
+#define	TICKS_PER_SECOND	drv_sectohz(1)
 
 /*
  * The data should be "quiet" for this interval (in seconds) before the
@@ -3200,7 +3200,7 @@
 		    MDI_PI(pip)->pi_ref_cnt,
 		    mdi_pi_spathname(pip), (void *)pip));
 		if (cv_reltimedwait(&MDI_PI(pip)->pi_ref_cv,
-		    &MDI_PI(pip)->pi_mutex, drv_usectohz(60 * 1000000),
+		    &MDI_PI(pip)->pi_mutex, drv_sectohz(60),
 		    TR_CLOCK_TICK) == -1) {
 			/*
 			 * The timeout time reached without ref_cnt being zero
@@ -3866,7 +3866,7 @@
 		    MDI_PI(pip)->pi_ref_cnt, mdi_pi_spathname(pip),
 		    (void *)pip));
 		if (cv_reltimedwait(&MDI_PI(pip)->pi_ref_cv,
-		    &MDI_PI(pip)->pi_mutex, drv_usectohz(60 * 1000000),
+		    &MDI_PI(pip)->pi_mutex, drv_sectohz(60),
 		    TR_CLOCK_TICK) == -1) {
 			/*
 			 * The timeout time reached without ref_cnt being zero
